package com.kingdee.eas.custom.compensation;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class SubmitShemeTemplateCollection extends AbstractObjectCollection 
{
    public SubmitShemeTemplateCollection()
    {
        super(SubmitShemeTemplateInfo.class);
    }
    public boolean add(SubmitShemeTemplateInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(SubmitShemeTemplateCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(SubmitShemeTemplateInfo item)
    {
        return removeObject(item);
    }
    public SubmitShemeTemplateInfo get(int index)
    {
        return(SubmitShemeTemplateInfo)getObject(index);
    }
    public SubmitShemeTemplateInfo get(Object key)
    {
        return(SubmitShemeTemplateInfo)getObject(key);
    }
    public void set(int index, SubmitShemeTemplateInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(SubmitShemeTemplateInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(SubmitShemeTemplateInfo item)
    {
        return super.indexOf(item);
    }
}